Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.transport.local
Class LocalChannel

    java.lang.Object
      org.codehaus.xfire.transport.AbstractChannel
          org.codehaus.xfire.transport.local.LocalChannel

All Implemented Interfaces:
  Channel

    public class LocalChannel

extends AbstractChannel

Field Summary
`protected static java.lang.String` | `OLD_CONTEXT`
`protected static java.lang.String` | `SENDER_URI`

Fields inherited from interface org.codehaus.xfire.transport.Channel
`BACKCHANNEL_URI`

Constructor Summary
`LocalChannel(java.lang.String uri, LocalTransport transport)`

Method Summary
`void` | `close()`
`protected Service` | `getService(XFire xfire, java.lang.String uri)`
`void` | `open()`
`void` | `send(MessageContext context, OutMessage message)` Sends a message.

Methods inherited from class org.codehaus.xfire.transport.AbstractChannel
`getEndpoint, getTransport, getUri, receive, setEndpoint, setTransport, setUri`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SENDER_URI

    protected static final java.lang.String SENDER_URI

See Also:
  Constant Field Values

### OLD_CONTEXT

    protected static final java.lang.String OLD_CONTEXT

See Also:
  Constant Field Values

Constructor Detail

### LocalChannel

    public LocalChannel(java.lang.String uri,
                        LocalTransport transport)

Method Detail

### open

    public void open()

### send

    public void send(MessageContext context,
                     OutMessage message)
              throws XFireException

  Description copied from interface: `Channel`
  Sends a message.

  Throws:
    `XFireException` - Occurs if there was an error an error sending the message.

### getService

    protected Service getService(XFire xfire,
                                 java.lang.String uri)

### close

    public void close()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.